
From: Greg KH <greg@kroah.com>

Ok, I think this patch might fix it.  I can't duplicate it here, but we
do have a race with the initialization of the tty console driver and the
vc init code.  This patch fixes that race by removing it.



 drivers/char/vt.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/char/vt.c~vc-init-race-fix drivers/char/vt.c
--- 25/drivers/char/vt.c~vc-init-race-fix	2003-12-29 22:51:32.000000000 -0800
+++ 25-akpm/drivers/char/vt.c	2003-12-29 22:51:32.000000000 -0800
@@ -2539,6 +2539,8 @@ static struct tty_operations con_ops = {
 
 int __init vty_init(void)
 {
+	vcs_init();
+
 	console_driver = alloc_tty_driver(MAX_NR_CONSOLES);
 	if (!console_driver)
 		panic("Couldn't allocate console driver\n");
@@ -2566,7 +2568,6 @@ int __init vty_init(void)
 #ifdef CONFIG_FRAMEBUFFER_CONSOLE
 	fb_console_init();
 #endif	
-	vcs_init();
 	return 0;
 }
 

_
